<div class="modal fade" id="signupModal" tabindex="-1" role="dialog" aria-labelledby="signupModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" id="btn_signup_previous" class="btn btn-light" style="display: none;">
                    <i class="fas fa-chevron-left"></i>
                </button>
                <h5 class="modal-title ml-auto" id="signupModalLabel">{{ 'register.account.label'|trans({}, 'frontends') }}</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">

                {% set default_timezone = app.session.get('timezone') %}

                {% include ':Default:_social_access.html.twig' %}

                <div class="container" {#style="padding: 0 50px;"#}>


                    <form id="modal-form-signup" action="{{ url('final_signup_validation') }}" method="post">

                        <div id="general_error" class="row"><label></label></div>

                        <div class="row" id="rw-signup-step-1" data-url="{{ url('first_signup_validation') }}">
                            <div class="col">

                                {# the argument of csrf_token() is an arbitrary value used to generate the token #}
                                <input id="hdn-token-step-1" type="hidden" name="token" value="{{ csrf_token('registration') }}" />

                                <div class="form-group">
                                    <label for="signup_email">{{ 'form.email'|trans({},'FOSUserBundle') }}</label>
                                    <input type="email" name="email" class="form-control" id="signup_email" aria-describedby="emailHelp" placeholder="{{ 'email.placeholder'|trans({}, 'frontends') }}" autofocus required>
                                    {#<small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>#}
                                </div>

                                <label for="signup_plainPassword">{{ 'form.password'|trans({},'FOSUserBundle') }}</label>
                                <div class="input-group">
                                    <input type="password" name="password" class="inp-cls-pwd form-control" id="signup_plainPassword" placeholder="{{ 'password.placeholder'|trans({}, 'frontends') }}" required>
                                    <div class="input-group-append toggle-password">
                                        <span class="input-group-text"><i class="fas fa-eye"></i></span>
                                    </div>
                                </div>

                                <button id="btn-signup-step-1" class="btn btn-primary mt-3 btn-block" type="button">{{ 'continue.label'|trans({}, 'frontends') }}</button>

                                <div class="mt-3">
                                    <p class="form-text text-muted text-center">{{ 'already.have.account'|trans({}, 'frontends') }}
                                        <span id="spn_login_modal" class="text-primary cls-pointer-effect">{{ 'login.title'|trans({}, 'frontends') }}</span>
                                    </p>
                                </div>

                            </div>

                        </div>
                        <div class="row" id="rw-signup-step-2" style="display: none;">
                            <div class="col">

                                {# TODO: change "username_validation" with call private checking logged user and exclude him from check #}
                                <div class="form-group">
                                    <label for="signup_username" class="required">{{ 'username.label'|trans({}, 'frontends') }}</label>
                                    <input type="text" placeholder="i.e. Twimuser1" value="" id="signup_username"
                                           data-username-validation="{{ url('username_validation') }}" data-id-error="signup_username" name="username" required="required" maxlength="180"
                                           pattern=".{2,}" class="form-control check-al-exist" autofocus autocomplete="off" readonly
                                           onfocus="this.removeAttribute('readonly');">
                                </div>

                                <div class="form-group">
                                    <label for="signup_genre">{{ 'genre.label'|trans({}, 'frontends') }}</label>
                                    <select class="form-control" id="signup_genre" name="genre" required>
                                        <option value="">{{ 'select.genre'|trans({}, 'frontends') }}</option>
                                        <option value="0">{{ 'male'|trans() }}</option>
                                        <option value="1">{{ 'female'|trans() }}</option>
                                    </select>
                                </div>

                                <div class="form-group mb-4">
                                    <label for="signup_timezone">{{ 'timezone.label'|trans({}, 'frontends') }}</label>
                                    <select class="form-control" id="signup_timezone" name="timezone" required>
                                        <option value="">{{ 'select.timezone'|trans({}, 'frontends') }}</option>
                                        {% if listTimezone is defined and listTimezone is not empty %}
                                            {% for id,timezone in listTimezone %}
                                                <option value="{{ id }}" {{ default_timezone in timezone ? 'selected' }}>{{ timezone }}</option>
                                            {% endfor %}
                                        {% endif %}
                                    </select>
                                </div>

                                <div id="dv-g-recaptcha-container">
                                    <div {#style="transform:scale(1.21); transform-origin:0 0;"#} class="g-recaptcha" data-sitekey="6Ld2V3MUAAAAAIIK37v0Re0MCHVEhFWa4EOIRk21"></div>
                                </div>

                                <div class="form-check mt-4">
                                    <div id="err-lab-signup-terms"></div>
                                    <input class="form-check-input" type="checkbox" value="" name="accepting_terms" id="signup_terms" required>
                                    <label class="form-check-label" for="signup_terms">
                                        {{ 'agree.terms.service'|trans({}, 'frontends')|raw }}
                                    </label>
                                </div>

                                <div class="form-check mt-3">
                                    <div id="err-lab-signup-privacy"></div>
                                    <input class="form-check-input" type="checkbox" value="" name="accepting_privacy" id="signup_privacy" required>
                                    <label class="form-check-label" for="signup_privacy">
                                        {{ 'agree.privacy.and.cookies'|trans({}, 'frontends')|raw }}
                                    </label>
                                </div>

                                <button id="btn-signup-step-2" class="btn btn-primary mt-3 mb-3 btn-block" type="button">{{ 'create.account.label'|trans({}, 'frontends') }}</button>

                            </div>
                        </div>

                    </form>

                </div>{#end container#}

            </div>
        </div>
    </div>
</div>
